cURL
curl --request GET \
--url https://api.staging.qyl.dev/api/v1/sessions/{sessionId}import requests
url = "https://api.staging.qyl.dev/api/v1/sessions/{sessionId}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.staging.qyl.dev/api/v1/sessions/{sessionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"session.id": "<string>",
"start_time": "2023-11-07T05:31:56Z",
"trace_count": 1,
"span_count": 1,
"error_count": 1,
"services": [
"<string>"
],
"state": "active",
"user.id": "<string>",
"end_time": "2023-11-07T05:31:56Z",
"duration_ms": 1,
"client": {
"ip": "<string>",
"user_agent": "Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36",
"device_type": "desktop",
"os": "<string>",
"browser": "<string>",
"browser_version": "<string>"
},
"geo": {
"country_code": "<string>",
"country_name": "<string>",
"region": "<string>",
"city": "<string>",
"postal_code": "<string>",
"timezone": "<string>"
},
"genai_usage": {
"request_count": 1,
"total_input_tokens": 1,
"total_output_tokens": 1,
"models_used": [
"<string>"
],
"providers_used": [
"<string>"
],
"estimated_cost_usd": 123
}
}{
"type": "about:blank",
"title": "Not Found",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"resource_type": "<string>",
"resource_id": "<string>"
}{
"type": "about:blank",
"title": "Internal Server Error",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"error_code": "<string>"
}Sessions
Get session
Get session by ID
GET
/
api
/
v1
/
sessions
/
{sessionId}
cURL
Path Parameters
Response
The request has succeeded.
Complete session entity with aggregated data
Session ID
Required string length:
1 - 128Session start time
Total trace count in session
Required range:
x >= 0Total span count in session
Required range:
x >= 0Total error count in session
Required range:
x >= 0Service names observed in this session
Session state
Available options:
active, idle, ended, timed_out, invalidated User ID (if authenticated)
Required string length:
1 - 256Session end time
Session duration in milliseconds
Required range:
x >= 0Client information
Show child attributes
Show child attributes
Location information
Show child attributes
Show child attributes
GenAI usage summary
Show child attributes
Show child attributes
Was this page helpful?
